Skip to main content
PUT
/
webhooks
/
subscribe
Subscribe to a webhook
curl --request PUT \
  --url https://api.example.com/webhooks/subscribe \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '
{
  "url": "<string>"
}
'
import requests

url = "https://api.example.com/webhooks/subscribe"

payload = { "url": "<string>" }
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: '<string>'})
};

fetch('https://api.example.com/webhooks/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "url": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Body

application/json
url
string | null

Response

OK

url
string | null
required

Url of the webhook.

id
string<uuid>

Id of the webhook.